Subject: [mpls-tp] Comment on draft-ietf-mpls-tp-data-plane-02

From: Lavanya Srivatsa <[email-masked]>
Date: Wed, 5 May 2010 00:46:37 +0530

Hello draft-authors,

In section 3.2, wherein MPLS Section is defined, I find an inconsistency in what layer "n" refers to.

I am pasting below the text for reference -

"Two MPLS-TP LSRs are considered to be topologically adjacent at a
   particular layer n >= 0 of the MPLS-TP LSP hierarchy if there exists
   connectivity between them at the next lowest network layer.  Such
   connectivity, if it exists, will be either an MPLS-TP LSP (if n > 0)
   or a data-link provided by the underlying server layer network (if n
   = 0), and is referred to as an MPLS-TP Section at layer n of the
   MPLS-TP LSP hierarchy.  Thus, the links traversed by a layer n+1
   MPLS-TP LSP are layer n MPLS-TP sections.  Such an LSP is referred to
   as a client of the section layer, and the section layer as the server
   layer with respect to its clients."

The first line seems to refer to the client layer of the section as layer n. This is evident since LSRs are layer n are adjacent if there exists a lower layer. In the next sentence, when the lower layer (which is defined as the section layer) is being talked about, this lower layer seems to be referred to by layer n.
In the above, former reference for layer n is the client layer and latter reference is to the section (server) layer.
In sync with the latter, the paragraph ends of with section layer being layer n and its client layer being layer n+1.

I think the starting line of this paragraph needs a change since it refers to the client layer of the section, and therefore should be layer n+1.

Please confirm if my understanding is correct.

- Lavanya

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 05 May 2010 08:58:59 +0100

>
> Hello draft-authors,
> In section 3.2, wherein MPLS Section is defined, I find an 
> inconsistency in what layer "n" refers to.
> The first line seems to refer to the client layer of the section as 
> layer n. This is evident since LSRs are layer n are adjacent if there 
> exists a lower layer. In the next sentence, when the lower layer 
> (which is defined as the section layer) is being talked about, this 
> lower layer seems to be referred to by layer n.
> In the above, former reference for layer n is the client layer and 
> latter reference is to the section (server) layer.
> In sync with the latter, the paragraph ends of with section layer 
> being layer n and its client layer being layer n+1.
> I think the starting line of this paragraph needs a change since it 
> refers to the client layer of the section, and therefore should be 
> layer n+1.
Lavanya

This is quiet difficult text, becsue of the issue of dealing with the 
end of the recursion. But that is always difficult to get right.

Lets look at the cases.

L2/L1/DataLink/Optics - n = 2
L1/DataLink/Optics - n = 1
DataLink/Optics - n = 0
Optics - out of scope.

Where n is the number of labels in the stack.

"Two MPLS-TP LSRs are considered to be topologically adjacent at a 
particular layer n >= 0 of the MPLS-TP LSP hierarchy if there exists  
connectivity between them at the next lowest network layer. "

They are adjacent at all layers including n = 0. Layer -1 is out of scope.

"Such connectivity, if it exists, will be either an MPLS-TP LSP (if n > 0)"

This is correct

"or a data-link provided by the underlying server layer network (if n = 0)"

This is also correct

"and is referred to as an MPLS-TP Section at layer n of the MPLS-TP LSP 
hierarchy."

This is correct by definition

"Thus, the links traversed by a layer n+1 MPLS-TP LSP are layer n 
MPLS-TP sections."

This is correct - when n+1 = 2, there are two labels in the stack, and 
the section providing connectivity between the LSRs is an LSP with a 
single label. When n+1 = 1, the section is a datalink.

"Such an LSP is referred to as a client of the section layer, "

This is the LSP with n labels, and is true by definition.

"and the section layer as the server layer with respect to its clients."

The section layer has n-1 labels and is the server layer WRT the LSP 
with n labels.

So I think that the text is correct, but maybe we should add anote that 
n is the number of labels in the stack.

- Stewart

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 05 May 2010 12:40:50 +0100

> Please confirm if my understanding is correct.
To clear up any misunderstandings with this text, perhaps we should add 
the following text immediately following it:

====

This is illustrated by the following example:

Consider the case one LSP transported over another LSP transported over 
a datalink transported over an optical link (LSP2/LSP1/Datalink/Optics). 
In this case n = 2, and LSP1/Datalink/Optics is the section layer used 
to transport LSP2. Similarly LSP1/Datalink/Optics has n = 1, and the 
section layer used to transport LSP1 is Datalink/Optics. Finally 
DataLink/Optics has n = 0.

===

Stewart

---

From: Lavanya Srivatsa <[email-masked]>
Date: Thu, 6 May 2010 01:11:02 +0530

Thanks Stewart. Your responses and the proposed text inclusions (to the next version of the draft) does indeed help add more meaning to the text in the data plane draft !

However, this still leaves open my question on the difference between an MPLS-TP Section and a PST (or should I call it SPME as mentioned by Dan?).

The MPLS-TP Section can be an underlying LSP for a client layer LSP above it. In this sense it is hierarchical and similar to the definition of PST/SPME mentioned in the draft-ietf-mpls-tp-framework-11 Section 3.13 which states - "A PST is a hierarchical LSP [RFC3031] which is defined and used for the purposes of OAM monitoring, protection or management ......"

If I have understood this correctly, then one difference is that an MPLS-TP Section may be a datalink/optical whereas a PST/SPME may not ?? To me, still a Section and a PST/SPME look to be same in their definition and in their usage. Can you help clarify?

Also, then this open up the question about the text written in Section 4.2.1.2 of RFC 5654, wherein it is stated that for an MPLS-TP Section, the packet on the G-ACh would only carry a GAL Label. This would be fine if the MPLS-TP Section were a datalink. However, how would such a packet be applicable to the case when an MPLS-TP Section is an (underlying) LSP?

- Lavanya

________________________________
From: Stewart Bryant [[email-masked]]
Sent: Wednesday, May 05, 2010 1:28 PM
To: MPLS TP
Cc:
Subject: Re: [mpls-tp] Comment on draft-ietf-mpls-tp-data-plane-02
Hello draft-authors,

To clear up any misunderstandings with this text, perhaps we should add the following text immediately following it:

====

Consider the case one LSP transported over another LSP transported over a datalink transported over an optical link (LSP2/LSP1/Datalink/Optics). In this case n = 2, and LSP1/Datalink/Optics is the section layer used to transport LSP2. Similarly LSP1/Datalink/Optics has n = 1, and the section layer used to transport LSP1 is Datalink/Optics. Finally DataLink/Optics has n = 0.

===

Stewart

________________________________
From: Stewart Bryant [[email-masked]]
Sent: Wednesday, May 05, 2010 1:28 PM
To: Lavanya Srivatsa
Cc: MPLS TP
Subject: Re: [mpls-tp] Comment on draft-ietf-mpls-tp-data-plane-02

Hello draft-authors,

Lavanya

This is quiet difficult text, becsue of the issue of dealing with the end of the recursion. But that is always difficult to get right.

Lets look at the cases.

"Two MPLS-TP LSRs are considered to be topologically adjacent at a particular layer n >= 0 of the MPLS-TP LSP hierarchy if there exists  connectivity between them at the next lowest network layer. "

This is correct

This is also correct

"and is referred to as an MPLS-TP Section at layer n of the MPLS-TP LSP hierarchy."

"Thus, the links traversed by a layer n+1 MPLS-TP LSP are layer n MPLS-TP sections."

This is correct - when n+1 = 2, there are two labels in the stack, and the section providing connectivity between the LSRs is an LSP with a single label. When n+1 = 1, the section is a datalink.

The section layer has n-1 labels and is the server layer WRT the LSP with n labels.

So I think that the text is correct, but maybe we should add anote that n is the number of labels in the stack.

- Stewart